package cn.com.infosec.jce.spec;

import cn.com.infosec.math.ec.ECPoint;

public class ECPublicKeySpec extends ECKeySpec {
   private ECPoint q;

   public ECPublicKeySpec(ECPoint q, ECParameterSpec spec) {
      super(spec);
      this.q = q;
   }

   public ECPoint getQ() {
      return this.q;
   }
}
